# Retrieve Token

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Retrieve Token"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/token/{api_token_id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns the API key with the ID you specify. This ID can be obtained by calling the list endpoint of this resource.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"A unique identifier of the API token you want to delete. Call the Get Tokens endpoint to check the IDs of the existing API tokens.","in":"path","name":"api_token_id","required":true,"schema":{"description":"A unique identifier of the API token you want to delete. Call the Get Tokens endpoint to check the IDs of the existing API tokens.","format":"uuid","title":"Api Token Id","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"all_workspaces":{"default":false,"title":"All Workspaces","type":"boolean"},"api_token_id":{"description":"Unique identifier of the API token.","format":"uuid","title":"API Token ID","type":"string"},"expires":{"description":"Specifies whether the API token expires.","title":"API Token Expires","type":"boolean"},"expires_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"The date and time when the token expires. The timestamp is in the ISO 8601 format and follows the convention YYY-MM-DDTHH:MM:SS.sssZ. For more information, see [Date-Time](https://docs.cloud.deepset.ai/reference/api-best-practices#date-time).","title":"API Token Expiry"},"masked_token":{"description":"The masked API token. The first and last 4 characters are visible, the rest is masked.","title":"API Token","type":"string"},"name":{"description":"The name of the API token.","title":"API Token Name","type":"string"},"organization_role":{"description":"The role of the API token in the organization. Defaults to the role of the user that created the token. Admin users can create tokens with any role.","title":"Organization Role","enum":["ADMIN","MEMBER","EXTERNAL"],"type":"string"},"personal":{"description":"Indicates if the API token is a personal or service level token.","title":"API Token type","type":"boolean"},"role":{"deprecated":true,"description":"The role of the API token. Defaults to the role of the user that created the token. Admin users can create tokens with any role.","title":"API Token Role (Deprecated)","type":"string"},"user":{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"}},"required":["given_name","family_name"],"title":"User Name","type":"object"},"workspaces":{"items":{"properties":{"name":{"description":"The name of the workspace. It must be longer than 3 characters.","title":"Workspace name","type":"string"}},"required":["name"],"title":"WorkspaceName","type":"object"},"title":"Workspaces","type":"array"}},"required":["name","masked_token","personal","expires","expires_at","api_token_id","user","role","organization_role","workspaces"],"title":"Token Meta","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
